%define name perl-Msgcat
%define real_name Msgcat
%define version 1.03
%define release 6mdk

Summary: Msgcat, a small Perl module for XPG4 message catalog functions
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Perl
Source: ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/Locale/%{real_name}-%{version}.tar.bz2
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-root

%description
This is Msgcat, a small Perl modules for systems which support the XPG4 message
catalog functions : catopen(3), catgets(3) and catclose(4).

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
%make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_libdir}/perl5/man/*/*
%{perl_sitearch}/Locale
%dir %{perl_sitearch}/auto/Locale
%dir %{perl_sitearch}/auto/Locale/Msgcat
%{perl_sitearch}/auto/Locale/Msgcat/Msgcat.*


%changelog
* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.03-6mdk
- build release.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.03-5mdk
- macroszifications.
- add missing clean.
- add doc.

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.03-4mdk
- fixed group
- rebuild with new perl
- fixed location

* Mon Dec  6 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- small cleaning in path variables

* Sun Dec  5 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- changed instances of i386 into %%{_arch} in the spec file.

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- first version of rpm.
